#!/bin/sh
APKG_DIR=${APKG_REPO_DIR}"/"${APKG_PKG_NAME}
APKG_DATA_DIR=${APKG_REPO_DIR}"/"${APKG_PKG_NAME}"/data"

# Check the status
case "$APKG_PKG_STATUS" in
	install)
		if [ ! -f /usr/builtin/lib/apache2/modules/libphp5.so ]; then
			if [ -f /usr/builtin/etc/apache2/mods-enabled/php5.conf ]; then
				rm /usr/builtin/etc/apache2/mods-enabled/php5.conf
			fi
		fi
		mkdir -p /usr/builtin/etc/certificate/letsencrypt/.well-known/acme-challenge

		;;
	upgrade)
		# keep the old certificate
		if [ -d $APKG_TEMP_DIR/.acme.sh ]; then
			/bin/cp -rf $APKG_TEMP_DIR/.acme.sh /usr/local/AppCentral/letsencrypt/
		fi
		
		;;
	*)
		;;
esac

exit 0
